Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts
Class DefaultResolverContainer

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.artifacts.DefaultResolverContainer

All Implemented Interfaces:
  ResolverContainer

    class DefaultResolverContainer
    extends DefaultDomainObjectContainer

author:
  Hans Dockter

Nested Class Summary
`interface` | `DefaultResolverContainer.OrderAction`

Constructor Summary
`DefaultResolverContainer(ResolverFactory resolverFactory, Convention convention)`

Method Summary
`DependencyResolver` | `add(java.lang.Object userDescription)`
`DependencyResolver` | `add(java.lang.Object userDescription, Closure configureClosure)`
`DependencyResolver` | `addAfter(java.lang.Object userDescription, java.lang.String beforeResolverName)`
`DependencyResolver` | `addAfter(java.lang.Object userDescription, java.lang.String beforeResolverName, Closure configureClosure)`
`DependencyResolver` | `addBefore(java.lang.Object userDescription, java.lang.String afterResolverName)`
`DependencyResolver` | `addBefore(java.lang.Object userDescription, java.lang.String afterResolverName, Closure configureClosure)`
`DependencyResolver` | `addFirst(java.lang.Object userDescription)`
`DependencyResolver` | `addFirst(java.lang.Object userDescription, Closure configureClosure)`
`java.lang.Object` | `conv(java.lang.Object internalValue, java.lang.String propertyName)`
`java.lang.Object` | `conventionMapping(java.util.Map mapping)`
`java.lang.Object` | `conventionProperty(java.lang.String name)`
`GroovyMavenDeployer` | `createMavenDeployer(java.lang.String name)`
`MavenResolver` | `createMavenInstaller(java.lang.String name)`
`protected UnknownDomainObjectException` | `createNotFoundException(java.lang.String name)`
`ConfigurationContainer` | `getConfigurationContainer()`
`ConventionAwareHelper` | `getConventionAwareHelper()`
`java.util.Map` | `getConventionMapping()`
`java.lang.String` | `getDisplayName()`
`File` | `getMavenPomDir()`
`Conf2ScopeMappingContainer` | `getMavenScopeMappings()`
`ResolverFactory` | `getResolverFactory()`
`java.util.List` | `getResolverNames()`
`java.util.List` | `getResolvers()`
`void` | `setConfigurationContainer(ConfigurationContainer configurationContainer)`
`void` | `setConventionAwareHelper(ConventionAwareHelper conventionAwareHelper)`
`void` | `setConventionMapping(java.util.Map conventionMapping)`
`void` | `setMavenPomDir(File mavenPomDir)`
`void` | `setMavenScopeMappings(Conf2ScopeMappingContainer mavenScopeMappings)`
`void` | `setResolverFactory(ResolverFactory resolverFactory)`
`void` | `setResolverNames(java.util.List resolverNames)`

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultResolverContainer

    public DefaultResolverContainer(ResolverFactory resolverFactory, Convention convention)

Method Detail

### add

    public DependencyResolver add(java.lang.Object userDescription)

### add

    public DependencyResolver add(java.lang.Object userDescription, Closure configureClosure)

### addAfter

    public DependencyResolver addAfter(java.lang.Object userDescription, java.lang.String beforeResolverName)

### addAfter

    public DependencyResolver addAfter(java.lang.Object userDescription, java.lang.String beforeResolverName, Closure configureClosure)

### addBefore

    public DependencyResolver addBefore(java.lang.Object userDescription, java.lang.String afterResolverName)

### addBefore

    public DependencyResolver addBefore(java.lang.Object userDescription, java.lang.String afterResolverName, Closure configureClosure)

### addFirst

    public DependencyResolver addFirst(java.lang.Object userDescription)

### addFirst

    public DependencyResolver addFirst(java.lang.Object userDescription, Closure configureClosure)

### conv

    public java.lang.Object conv(java.lang.Object internalValue, java.lang.String propertyName)

### conventionMapping

    public java.lang.Object conventionMapping(java.util.Map mapping)

### conventionProperty

    public java.lang.Object conventionProperty(java.lang.String name)

### createMavenDeployer

    public GroovyMavenDeployer createMavenDeployer(java.lang.String name)

### createMavenInstaller

    public MavenResolver createMavenInstaller(java.lang.String name)

### createNotFoundException

    @Override
    protected UnknownDomainObjectException createNotFoundException(java.lang.String name)

### getConfigurationContainer

    public ConfigurationContainer getConfigurationContainer()

### getConventionAwareHelper

    public ConventionAwareHelper getConventionAwareHelper()

### getConventionMapping

    public java.util.Map getConventionMapping()

### getDisplayName

    @Override
    public java.lang.String getDisplayName()

### getMavenPomDir

    public File getMavenPomDir()

### getMavenScopeMappings

    public Conf2ScopeMappingContainer getMavenScopeMappings()

### getResolverFactory

    public ResolverFactory getResolverFactory()

### getResolverNames

    public java.util.List getResolverNames()

### getResolvers

    public java.util.List getResolvers()

### setConfigurationContainer

    public void setConfigurationContainer(ConfigurationContainer configurationContainer)

### setConventionAwareHelper

    public void setConventionAwareHelper(ConventionAwareHelper conventionAwareHelper)

### setConventionMapping

    public void setConventionMapping(java.util.Map conventionMapping)

### setMavenPomDir

    public void setMavenPomDir(File mavenPomDir)

### setMavenScopeMappings

    public void setMavenScopeMappings(Conf2ScopeMappingContainer mavenScopeMappings)

### setResolverFactory

    public void setResolverFactory(ResolverFactory resolverFactory)

### setResolverNames

    public void setResolverNames(java.util.List resolverNames)

Groovy Documentation